# Class DriverConnectionParameters

java.lang.Object
com.databricks.jdbc.model.telemetry.DriverConnectionParameters

public class DriverConnectionParameters extends Object

## Constructor Summary

Constructors
Constructor
Description
`DriverConnectionParameters()`

## Method Summary

Modifier and Type
Method
Description
`DriverConnectionParameters`
`setAcceptUndeterminedCertificateRevocation(boolean acceptUndeterminedCertificateRevocation)`
`DriverConnectionParameters`
`setAllowedVolumeIngestionPaths(String allowedVolumeIngestionPaths)`
`DriverConnectionParameters`
`setAllowSelfSignedSupport(boolean allowSelfSignedSupport)`
`DriverConnectionParameters`
`setAsyncPollIntervalMillis(int asyncPollIntervalMillis)`
`DriverConnectionParameters`
`setAuthEndpoint(String authEndpoint)`
`DriverConnectionParameters`
`setAuthMech(AuthMech authMech)`
`DriverConnectionParameters`
`setAuthScope(String authScope)`
`DriverConnectionParameters`
`setAzureTenantId(String azureTenantId)`
`DriverConnectionParameters`
`setAzureWorkspaceResourceId(String azureWorkspaceResourceId)`
`DriverConnectionParameters`
`setCfProxyHostDetails(HostDetails cfProxyHostDetails)`
`DriverConnectionParameters`
`setCheckCertificateRevocation(boolean checkCertificateRevocation)`
`DriverConnectionParameters`
`setDiscoveryModeEnabled(boolean discoveryModeEnabled)`
`DriverConnectionParameters`
`setDiscoveryUrl(String discoveryUrl)`
`DriverConnectionParameters`
`setDriverAuthFlow(AuthFlow driverAuthFlow)`
`DriverConnectionParameters`
`setDriverMode(String clientType)`
`DriverConnectionParameters`
`setEnableArrow(boolean enableArrow)`
`DriverConnectionParameters`
`setEnableComplexDatatypeSupport(boolean enableComplexDatatypeSupport)`
`DriverConnectionParameters`
`setEnableDirectResults(boolean enableDirectResults)`
`DriverConnectionParameters`
`setEnableJwtAssertion(boolean enableJwtAssertion)`
`DriverConnectionParameters`
`setEnableSeaHybridResults(boolean enableSeaHybridResults)`
`DriverConnectionParameters`
`setEnableTokenCache(boolean enableTokenCache)`
`DriverConnectionParameters`
`setGoogleCredentialFilePath(String googleCredentialFilePath)`
`DriverConnectionParameters`
`setGoogleServiceAccount(String googleServiceAccount)`
`DriverConnectionParameters`
`setHostDetails(HostDetails hostDetails)`
`DriverConnectionParameters`
`setHttpConnectionPoolSize(int httpConnectionPoolSize)`
`DriverConnectionParameters`
`setHttpPath(String httpPath)`
`DriverConnectionParameters`
`setIdentityFederationClientId(String identityFederationClientId)`
`DriverConnectionParameters`
`setJwtAlgorithm(String jwtAlgorithm)`
`DriverConnectionParameters`
`setJwtKeyFile(String jwtKeyFile)`
`DriverConnectionParameters`
`setNonProxyHosts(List<String> nonProxyHosts)`
`DriverConnectionParameters`
`setProxyHostDetails(HostDetails proxyHostDetails)`
`DriverConnectionParameters`
`setRowsFetchedPerBlock(int rowsFetchedPerBlock)`
`DriverConnectionParameters`
`setSocketTimeout(int socketTimeout)`
`DriverConnectionParameters`
`setSslTrustStoreType(String sslTrustStoreType)`
`DriverConnectionParameters`
`setStringColumnLength(int stringColumnLength)`
`DriverConnectionParameters`
`setSupportManyParameters(boolean supportManyParameters)`
`DriverConnectionParameters`
`setTokenEndpoint(String tokenEndpoint)`
`DriverConnectionParameters`
`setUseCfProxy(boolean useCfProxy)`
`DriverConnectionParameters`
`setUseEmptyMetadata(boolean useEmptyMetadata)`
`DriverConnectionParameters`
`setUseProxy(boolean useProxy)`
`DriverConnectionParameters`
`setUseSystemProxy(boolean useSystemProxy)`
`DriverConnectionParameters`
`setUseSystemTrustStore(boolean useSystemTrustStore)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DriverConnectionParameters

public DriverConnectionParameters()

## Method Details

### setHttpPath

public DriverConnectionParameters setHttpPath(String httpPath)

### setDriverMode

public DriverConnectionParameters setDriverMode(String clientType)

### setUseProxy

public DriverConnectionParameters setUseProxy(boolean useProxy)

### setAuthMech

public DriverConnectionParameters setAuthMech(AuthMech authMech)

### setUseSystemProxy

public DriverConnectionParameters setUseSystemProxy(boolean useSystemProxy)

### setUseCfProxy

public DriverConnectionParameters setUseCfProxy(boolean useCfProxy)

### setHostDetails

public DriverConnectionParameters setHostDetails(HostDetails hostDetails)

### setCfProxyHostDetails

public DriverConnectionParameters setCfProxyHostDetails(HostDetails cfProxyHostDetails)

### setProxyHostDetails

public DriverConnectionParameters setProxyHostDetails(HostDetails proxyHostDetails)

### setDriverAuthFlow

public DriverConnectionParameters setDriverAuthFlow(AuthFlow driverAuthFlow)

### setDiscoveryModeEnabled

public DriverConnectionParameters setDiscoveryModeEnabled(boolean discoveryModeEnabled)

### setAuthScope

public DriverConnectionParameters setAuthScope(String authScope)

### setDiscoveryUrl

public DriverConnectionParameters setDiscoveryUrl(String discoveryUrl)

### setIdentityFederationClientId

public DriverConnectionParameters setIdentityFederationClientId(String identityFederationClientId)

### setUseEmptyMetadata

public DriverConnectionParameters setUseEmptyMetadata(boolean useEmptyMetadata)

### setSupportManyParameters

public DriverConnectionParameters setSupportManyParameters(boolean supportManyParameters)

### setSslTrustStoreType

public DriverConnectionParameters setSslTrustStoreType(String sslTrustStoreType)

### setCheckCertificateRevocation

public DriverConnectionParameters setCheckCertificateRevocation(boolean checkCertificateRevocation)

### setAcceptUndeterminedCertificateRevocation

public DriverConnectionParameters setAcceptUndeterminedCertificateRevocation(boolean acceptUndeterminedCertificateRevocation)

### setEnableArrow

public DriverConnectionParameters setEnableArrow(boolean enableArrow)

### setEnableDirectResults

public DriverConnectionParameters setEnableDirectResults(boolean enableDirectResults)

### setEnableJwtAssertion

public DriverConnectionParameters setEnableJwtAssertion(boolean enableJwtAssertion)

### setJwtKeyFile

public DriverConnectionParameters setJwtKeyFile(String jwtKeyFile)

### setJwtAlgorithm

public DriverConnectionParameters setJwtAlgorithm(String jwtAlgorithm)

### setGoogleServiceAccount

public DriverConnectionParameters setGoogleServiceAccount(String googleServiceAccount)

### setGoogleCredentialFilePath

public DriverConnectionParameters setGoogleCredentialFilePath(String googleCredentialFilePath)

### setAllowedVolumeIngestionPaths

public DriverConnectionParameters setAllowedVolumeIngestionPaths(String allowedVolumeIngestionPaths)

### setEnableComplexDatatypeSupport

public DriverConnectionParameters setEnableComplexDatatypeSupport(boolean enableComplexDatatypeSupport)

### setAzureWorkspaceResourceId

public DriverConnectionParameters setAzureWorkspaceResourceId(String azureWorkspaceResourceId)

### setAzureTenantId

public DriverConnectionParameters setAzureTenantId(String azureTenantId)

### setStringColumnLength

public DriverConnectionParameters setStringColumnLength(int stringColumnLength)

### setSocketTimeout

public DriverConnectionParameters setSocketTimeout(int socketTimeout)

### setEnableTokenCache

public DriverConnectionParameters setEnableTokenCache(boolean enableTokenCache)

### setAuthEndpoint

public DriverConnectionParameters setAuthEndpoint(String authEndpoint)

### setTokenEndpoint

public DriverConnectionParameters setTokenEndpoint(String tokenEndpoint)

### setNonProxyHosts

public DriverConnectionParameters setNonProxyHosts(List<String> nonProxyHosts)

### setHttpConnectionPoolSize

public DriverConnectionParameters setHttpConnectionPoolSize(int httpConnectionPoolSize)

### setEnableSeaHybridResults

public DriverConnectionParameters setEnableSeaHybridResults(boolean enableSeaHybridResults)

### setAllowSelfSignedSupport

public DriverConnectionParameters setAllowSelfSignedSupport(boolean allowSelfSignedSupport)

### setUseSystemTrustStore

public DriverConnectionParameters setUseSystemTrustStore(boolean useSystemTrustStore)

### setRowsFetchedPerBlock

public DriverConnectionParameters setRowsFetchedPerBlock(int rowsFetchedPerBlock)

### setAsyncPollIntervalMillis

public DriverConnectionParameters setAsyncPollIntervalMillis(int asyncPollIntervalMillis)

### toString

public String toString()

Overrides:
  `toString` in class `Object`